Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-1803

iOS: Unable to build an application if cloud services 2.0.0 are enabled.

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Medium
    • Resolution: Duplicate
    • Affects Version/s: Titanium Studio 2.1.0
    • Fix Version/s: None
    • Component/s: Tiapp
    • Environment:

      Titanium SDK version: 2.1.0.v20120602010244
      Platform & version: iOS device and simulator.
      Host Operating System: OSX 10.7.3
      Titanium Studio version: 2.1.0.201205292047

      Description

      Unable to build an application if cloud services 2.0.0 are enabled.

      Regression. This does not occur in 2.0.2

      Steps to reproduce:
      1. Take an application with cloud services enabled(with version 2.0.0).(for example, please refer the application in test case: https://github.com/appcelerator/titanium_mobile_tests_internal/tree/master/FeatureTest/SplashScreens/iOS/timob7894)

      2. Try to build the application with 2.1.0.v20120602010244 SDK for iOS device.

      Actual: The application throws the following error:

      [ERROR] Could not find the following required iOS modules:
      [ERROR] id: ti.cloud version: 2.0.0
      [ERROR] Error: Traceback (most recent call last):

      3. Remove the following lines of code from tiapp.xml file or change version to "2.0.5"

      <modules>
      <module platform="commonjs" version="2.0.0">ti.cloud</module>
      </modules>

      4. Build the application.

      Actual: Application builds successfully.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                emerriman Eric Merriman
                Reporter:
                amittal Anshu Mittal
              • Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: